%define qtdir /usr/lib/qt-1.44
%define kdeprefix /usr
%define name kvirc
%define version 0.9.0
%define release 1

Summary: An Internet Relay Chat (irc) client for KDE.

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: GPL
Source: %{name}-%{version}.tar.gz
URL: http://www.kvirc.org
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: kdesupport
Prefix: %{kdeprefix}

%description
KVirc is a powerful Internet Relay Chat (irc) client for the K Desktop
Environment (KDE).  KVirc allows you to connect to chat servers, so
you can visit online chat rooms.  You'll need to have X and KDE
installed in order to use KVirc.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdeprefix}
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
	CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
./configure \
	--with-kde-include-dir=/usr/include/kde \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT

make exec_prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/file.list.%{name} 

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
        -e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{name}      

%files -f ../file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%changelog
* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.9.0 for powertools 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package
